+nfs-utils (1:1.0.8-2) unstable; urgency=low
+
+ * Added missing dependency on pkg-config.
+
+ -- Anibal Monsalve Salazar <anibal@debian.org> Fri, 02 Jun 2006 19:08:11 +1000
+
nfs-utils (1:1.0.8-1) unstable; urgency=low
* New upstream version. (Closes: #364902)
needed to build nfs-utils.
* Give DESTDIR instead of install_prefix to "make install" (install_prefix
no longer works).
- * Build-depend on librpcsecgss-dev and libgssapi-dev, as they are now both
- needed. Also build-depend on pkg-config, as it is needed to detect
- librpcsecgss-dev.
- * No longer handle gssapi_mech.conf; it is now managed by the librpcsecgss
- package. Remove all references to it in debian/rules.
+ * No longer handle gssapi_mech.conf via ucf; it is now managed by the
+ librpcsecgss package. Remove all references to it in debian/rules.
* We no longer need to run autoconf as a part of debian/rules; its results
are parts of the diff instead, as per usual packaging practices.
* Drop the build-dependency on autoconf2.13 and autotools-dev.
* No longer rm various autotools-generated files in the clean target.
- * Tweaks to debian/rules:
- * Drop --sourcedir=debian/tmp from dh_install so we can also install files
- directly from the debian/ directory.
- * Minimize direct uses of install; move all the ucf installation into the
- debhelper .install files.
- * Remove some obsolete comments.
- * Remove empty (modulo #DEBHELPER# tokens) nhfsstone.{postinst,prerm}
- scripts.
- * Clear out obsolete (pre-sarge) debconf and rc.d purging from postinst
- script. (Same as in 1:1.0.7-10, but for nfs-kernel-server too, not just
- nfs-common.) Minor style cleanup.
-- Steinar H. Gunderson <sesse@debian.org> Thu, 1 Jun 2006 01:59:39 +0200
Section: net
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Steinar H. Gunderson <sesse@debian.org>, Daniel Baumann <daniel.baumann@panthera-systems.net>
-Build-Depends: debhelper (>= 5), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev, libgssapi-dev, librpcsecgss-dev, pkg-config, perl
+Build-Depends: debhelper (>= 5), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev, libgssapi-dev, librpcsecgss-dev, perl, pkg-config
Standards-Version: 3.7.2
Package: nfs-kernel-server
-debian/tmp/usr/sbin/rpc.lockd sbin/
-debian/tmp/usr/sbin/rpc.statd sbin/
-debian/tmp/usr/sbin/showmount sbin/
-debian/tmp/usr/sbin/nfsstat
-debian/tmp/usr/sbin/rpc.gssd
-debian/tmp/usr/sbin/rpc.idmapd
-debian/idmapd.conf usr/share/nfs-common/conffiles/
-debian/idmapd.conf.md5sum usr/share/nfs-common/conffiles/
-debian/nfs-common.default usr/share/nfs-common/conffiles/
-debian/nfs-common.default.md5sum usr/share/nfs-common/conffiles/
+usr/sbin/rpc.lockd sbin/
+usr/sbin/rpc.statd sbin/
+usr/sbin/showmount sbin/
+usr/sbin/nfsstat
+usr/sbin/rpc.gssd
+usr/sbin/rpc.idmapd
-debian/tmp/usr/sbin/exportfs
-debian/tmp/usr/sbin/rpc.mountd
-debian/tmp/usr/sbin/rpc.nfsd
-debian/nfs-kernel-server.default /usr/share/nfs-kernel-server/conffiles/
-debian/etc.exports /usr/share/nfs-kernel-server/conffiles/
-debian/nfs-kernel-server.default.md5sum /usr/share/nfs-kernel-server/conffiles/
-debian/etc.exports.md5sum /usr/share/nfs-kernel-server/conffiles/
+usr/sbin/exportfs
+usr/sbin/rpc.mountd
+usr/sbin/rpc.nfsd
done
update-rc.d nfs-kernel-server defaults 20 80 >/dev/null
- ;;
+
+ # Remove obsolete debconf questions
+ if [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ db_unregister nfs-kernel-server/sync-default || true
+ db_unregister nfs-kernel-server/tcpwrappers-mountd || true
+ db_stop
+ fi
+ ;;
esac
act="restart"
-debian/tmp/usr/sbin/nhfs*
-debian/tmp/usr/share/man/man8/nhfs*
+usr/sbin/nhfs*
+usr/share/man/man8/nhfs*
--- /dev/null
+#!/bin/sh -e
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+#DEBHELPER#
+
+exit 0
dh_clean -k
dh_installdirs
mkdir $(DEBTMP)
+ # Add here commands to install the files into debian/tmp
$(MAKE) DESTDIR='$(DEBTMP)' install
- dh_install
+ dh_install --sourcedir=debian/tmp
+ # Fixups Start Here #
+ cd debian && \
+ for f in lockd statd showmount; do \
+ perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
+ tmp/usr/share/man/man8/$$f.8; \
+ done;
+ # Fixups End Here #
- # Fix up the manpages
- for f in lockd statd showmount; do \
- perl -pi -e "s#/usr(/sbin/(rpc\\.)?$$f)#\$$1#g" \
- debian/tmp/usr/share/man/man8/$$f.8; \
- done;
+ # Move all files that will be managed by ucf
+ install -m 0644 debian/idmapd.conf debian/nfs-common/usr/share/nfs-common/conffiles/
+ install -m 0644 debian/nfs-common.default debian/nfs-common/usr/share/nfs-common/conffiles/
+ install -m 0644 debian/nfs-kernel-server.default debian/nfs-kernel-server/usr/share/nfs-kernel-server/conffiles/
+ install -m 0644 debian/etc.exports debian/nfs-kernel-server/usr/share/nfs-kernel-server/conffiles/
+
+ install -m 0644 debian/idmapd.conf.md5sum debian/nfs-common/usr/share/nfs-common/conffiles/
+ install -m 0644 debian/nfs-common.default.md5sum debian/nfs-common/usr/share/nfs-common/conffiles/
+ install -m 0644 debian/nfs-kernel-server.default.md5sum debian/nfs-kernel-server/usr/share/nfs-kernel-server/conffiles/
+ install -m 0644 debian/etc.exports.md5sum debian/nfs-kernel-server/usr/share/nfs-kernel-server/conffiles/
dh_installdocs -A
dh_installdocs -pnfs-common debian/README.Debian.nfsv4
c = dumpopt(c, "mapping=ugidd");
else if (ep->e_maptype == CLE_MAP_FILE)
c = dumpopt(c, "mapping=file");
- if (ep->e_anonuid != 65534)
+ if (ep->e_anonuid != -2)
c = dumpopt(c, "anonuid=%d", ep->e_anonuid);
- if (ep->e_anongid != 65534)
+ if (ep->e_anongid != -2)
c = dumpopt(c, "anongid=%d", ep->e_anongid);
printf("%c\n", (c != '(')? ')' : ' ');
.Nm
configuration file has two sections, initiated by the strings
[General] and [Mapping]. Each section may contain lines of the form
-.Dl ""
+
.Dl variable = value
-.Dl ""
+
The variables allowed in the General section are
.Va Verbosity,
.Va Pipefs-Directory,
and
.Fl G
commandline options.
+
.Sh EXAMPLES
+
An example
.Pa /etc/idmapd.conf
file:
+
.Bd -literal
[General]
Nobody-User = nobody
Nobody-Group = nobody
.Ed
+
.Sh SEE ALSO
.Xr idmapd 8
.\".Sh SEE ALSO